<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <artifactId>febs-common</artifactId>
    <groupId>com.yida.data</groupId>
    <version>2.2-RELEASE</version>
  </parent>

  <artifactId>febs-common-security-starter</artifactId>
  <name>FEBS-Common-Security-Starter</name>
  <description>FEBS-Common-Security-Starter安全模块</description>

  <dependencies>
    <dependency>
      <groupId>com.yida.data</groupId>
      <artifactId>febs-common-core</artifactId>
      <version>${febs-cloud.version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-configuration-processor</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>org.springframework.cloud</groupId>
      <artifactId>spring-cloud-starter-oauth2</artifactId>
    </dependency>
    <dependency>
      <groupId>org.springframework.cloud</groupId>
      <artifactId>spring-cloud-starter-security</artifactId>
    </dependency>
  </dependencies>

</project>
